.reviews-list.v2 {
    grid-template-columns: repeat(var(--review-grid-item-row-count), 1fr);
    grid-template-rows: auto;
    gap: 16px;
}
.reviews-list.v2 .reviews-item {
    border-radius: 2px;
    aspect-ratio: 1;
    overflow: hidden;
    cursor: pointer;
}
.reviews-list.v2 .reviews-item.add-review-btn {
    height: 100%;
    width: 100%;
}
.reviews-list.v2 .reviews-item.add-review-btn:after {
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-image: url(/img/redesign/add-review-v2.png);
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
    object-fit: cover;
    pointer-events: none;
    z-index: -1;
    content: "";
}
.reviews-list.v2 .reviews-item.add-review-btn .add-review-btn-inner {
    font-size: 32px;
    line-height: 40px;
}
.reviews-list .reviews-item .reviews-item-image video {
    object-fit: cover;
}
.reviews-list .reviews-item .reviews-item-video-icon {
    position: absolute;
    top: 8px;
    right: 8px;
    height: var(--reviews-item-video-icon-size);
    width: var(--reviews-item-video-icon-size);
    pointer-events: none;
}

.reviews-item-likes {
    position: absolute;
    bottom: 8px;
    right: 8px;
    gap: 4px;
}
.reviews-item-likes-count {
    min-width: 45px;
    padding: 4px 10px;
    color: var(--color-11);
    font-size: 14px;
    line-height: 24px;
    text-align: center;
    background-color: #FFFFFFC9;
    border-radius: 30px;
    backdrop-filter: blur(2px);
    pointer-events: none;
}
.reviews-item-likes-add {
    height: 40px;
    width: 40px;
    padding: 8px;
    backdrop-filter: blur(2px);
    transition: 0.2s background-color ease-in-out;
    cursor: pointer;
}
.reviews-item-likes-add:not(:hover) {
    background-color: var(--color-2);
}
.reviews-item-likes-add:hover {
    background-color: #232323;
}
.reviews-item-likes-add.liked .default,
.reviews-item-likes-add:not(.liked) .active {
    display: none;
}

.reviews-pagination {
    gap: var(--default-product-cards-row-margin);
    margin-top: 24px;
}
.reviews-pagination .reviews-loadmore-btn {
    text-transform: none;
}

.review-info .review-info-content {
    height: var(--review-info-picture-height);
    width: var(--review-info-picture-width);
}
.review-info .review-info-content .swiper-pagination {
    gap: 4px;
    bottom: 40px;
}
.review-info .review-info-content .swiper-pagination .swiper-pagination-bullet {
    height: 4px;
    margin: 0;
    border-radius: 0;
    opacity: 1;
    transition: background-color 0.2s ease-in-out, width 0.2s ease-in-out;
}
.review-info .review-info-content .swiper-pagination .swiper-pagination-bullet:not(.swiper-pagination-bullet-active) {
    width: 6px;
    background-color: var(--color-15);
}
.review-info .review-info-content .swiper-pagination .swiper-pagination-bullet.swiper-pagination-bullet-active {
    width: 12px;
    background-color: var(--color-2);
}
.review-info .review-info-picture-slider-wrapper {
    overflow: hidden;
}
.review-info .review-info-footer .btn {
    text-transform: none;
    padding-left: 6px;
    padding-right: 6px;
}
.review-info .review-info-picture-slider {
    width: auto;
    height: auto;
}
.review-info .review-info-picture-slider.swiper-initialized .review-info-picture-item {
    padding: 0 var(--container-padding);
}
.review-info .review-info-picture {
    width: max-content;
    overflow: hidden;
}
.review-info .review-info-picture-vertical .review-info-picture img {
    height: 100%;
    width: auto;
    max-height: unset;
    max-width: unset;
}
.review-info .review-info-picture-horizontal .review-info-picture img,
.review-info .review-info-picture-square .review-info-picture img {
    height: auto;
    width: 100%;
    max-height: unset;
    max-width: unset;
}
.review-info .review-info-aside {
    height: 100%;
    padding: 16px 34px 16px 24px;
}
.review-info .review-info-headline {
    margin-bottom: 22px;
    color: var(--text-main-color);
    line-height: 20px;
}
.review-info .review-info-title {
    font-size: 17px;
}
.review-info .review-info-subtitle {
    font-size: 15px;
}
.review-info .review-info-rating-date {
    font-size: 16px;
    line-height: 26px;
}
.review-info .review-info-rating-date small {
    font-size: 13px;
    line-height: 15px;
}
.review-info .review-info-aside .review-info-picture {
    max-height: var(--review-info-aside-picture-height);
    max-width: var(--review-info-aside-picture-width);
    margin: 0 auto 27px;
}
.review-info .review-info-aside-inner {
    height: 100%;
    overflow: hidden;
}
.review-info .review-info-linked-products-item {
    transition: 0.3s all ease;
}
.review-info .review-info-linked-products-item:not(.active) {
    position: absolute;
    height: 100%;
    opacity: 0;
    visibility: hidden;
    pointer-events: none;
}
.review-info .review-info-linked-products-item.active {
    opacity: 1;
    visibility: visible;
}
.review-info .review-info-username {
    margin-bottom: 6px;
    color: var(--color-11);
    font-size: 20px;
    line-height: 30px;
    pointer-events: none;
}
.review-info .rating-stars .rating-star-item,
.review-info .rating-stars .rating-star-item img {
    height: 24px;
    width: 24px;
}
.review-info .review-info-text {
    margin-bottom: 4px;
    color: var(--color-11);
    font-size: 16px;
    line-height: 26px;
    overflow-x: hidden;

}
.review-info .review-info-text.collapsed {
    max-height: 280px;
    padding-bottom: 20px;
    overflow-y: hidden;
}
.review-info .review-info-text:not(.collapsed) {
    overflow-y: auto;
}
.review-info .review-info-aside:not(.articul-empty) .review-info-text {
    margin: 8px 0 106px;
}
.review-info .review-info-text:before,
.review-info .review-info-text:after {
    position: sticky;
    left: 0;
    right: 0;
    pointer-events: none;
    content: "";
}
.review-info .review-info-text:before {
    top: 0;
    background: linear-gradient(180deg, var(--color-3) 10%, transparent);
}
.review-info .review-info-text:after {
    bottom: 0;
    background: linear-gradient(180deg, transparent 10%, var(--color-3));
}
.review-info .review-info-text:not(.at-top):before,
.review-info .review-info-text:not(.at-bottom):after {
    opacity: 1;
    visibility: visible;
}
.review-info .review-info-text:not(.collapsed):not(.at-bottom):after {
    padding: 12px;
}
.review-info .review-info-text.collapsed:not(.at-bottom):after {
    bottom: -20px;
    padding: 24px;
    background: linear-gradient(180deg, transparent, var(--color-3) 20px);
}
.review-info .review-info-text.at-top:before,
.review-info .review-info-text.at-bottom:after {
    padding: 0;
    opacity: 0;
    visibility: hidden;
}
.review-info .review-info-text .review-info-text-collapse {
    position: sticky;
    left: 100%;
    bottom: 0;
    height: 24px;
    width: 24px;
    z-index: 1;
    cursor: pointer;
}
.review-info .review-info-text.collapsed .review-info-text-collapse {
    bottom: -20px;
}
.review-info .review-info-text:not(.collapsed) .review-info-text-collapse .default,
.review-info .review-info-text.collapsed .review-info-text-collapse .active {
    display: none;
}
.review-info .review-info-footer {
    position: absolute;
    left: 0;
    right: 0;
    bottom: 0;
    z-index: 1;
}
#review-info-slider .slider-nav-arrow {
    position: absolute;
    top: 0;
    bottom: 0;
    height: 44px;
    width: 44px;
    min-height: auto;
    min-width: auto;
    margin: auto 0;
    padding: 0;
    transition: opacity 0.2s ease-in-out;
    z-index: 2;
}
#review-info-slider .slider-nav-arrow:not(:hover) {
    opacity: 0.5;
}
#review-info-slider .slider-nav-arrow.prev {
    left: var(--slider-nav-arrows-position);
}
#review-info-slider .slider-nav-arrow.next {
    right: var(--slider-nav-arrows-position);
}
.review-info-popup {
    max-height: var(--review-info-popup-height);
    /*max-width: var(--review-info-popup-width);*/
    box-shadow: none;
    /*border-radius: 5px;*/
}
.review-info-popup .review-info-linked-products-item-link {
    display: none;
}
.review-info-popup .review-info-aside .review-info-text {
    height: 100%;
}
.review-info-popup .review-info-product-title {
    margin-bottom: 4px;
    font-size: 16px;
    line-height: 26px;
}
.review-info-popup .review-info-product {
    gap: 12px;
    padding: 8px;
    font-size: 16px;
    line-height: 26px;
    border-radius: 4px;
    transition: background-color 0.2s ease-in-out;
}
.review-info-popup .review-info-product:not(:hover) {
    background-color: #E8E8E84D;
}
.review-info-popup .review-info-product:hover {
    background-color: var(--color-12);
}
.review-info-popup .review-info-product-picture {
    height: 60px;
    width: 60px;
    border-radius: 2px;
    overflow: hidden;
}
.review-info-popup .review-info-product-picture.horizontal img {
    height: 100%;
    width: auto;
    max-height: unset;
    max-width: unset;
}
.review-info-popup video.review-info-picture {
    background-color: var(--color-11);
}
.review-info-popup .reviews-item-likes {
    top: 8px;
    left: 8px;
    right: unset;
    bottom: unset;
    gap: 4px;
    flex-direction: row-reverse;
}
.review-info-popup .review-info-product-picture.vertical img,
.review-info-popup .review-info-product-picture.square img {
    height: auto;
    width: 100%;
    max-height: unset;
    max-width: unset;
}
.review-info-popup.popup .popup-close,
#reviews_form_popup.popup .popup-close {
    top: 20px;
    right: 20px;
}
.review-info-popup .popup-inner {
    background-color: transparent;
    border-radius: 0;
    overflow: hidden;
}
.review-info-popup .review-info-inner {
    max-height: 100%;
    background-color: var(--color-3);
    box-shadow: 0 0 10px 1px rgb(0 0 0 / 16%);
    border-radius: 6px;
    overflow: hidden;
}

.review-info-popup.popup .js-close-popup {
    top: 0;
    right: 0;
    position: absolute;
    width: 48px;
    height: 48px;
    display: inline-block;
}

@media (max-width: 1023px) {
    .review-info-popup {
        max-width: var(--review-info-popup-width);
    }
    .review-info .popup-close {
        height: 32px;
        width: 32px;
        background-color: var(--color-3);
        border-radius: 100%;
    }
    .review-info .review-info-inner {
        flex-direction: column;
        overflow-x: hidden;
        overflow-y: auto;
    }
    .review-info .review-info-aside {
        height: auto;
        overflow: unset;
    }
    .review-info-popup .review-info-aside .review-info-text:not(.collapsed) {
        height: auto;
        overflow: unset;
    }
    #review-info-slider .slider-nav-arrow.prev {
        left: unset;
        right: calc(100% - var(--slider-nav-arrows-position));
    }
    #review-info-slider .slider-nav-arrow.next {
        left: calc(100% - var(--slider-nav-arrows-position));
        right: unset;
    }
    .review-info .review-info-picture {
        width: 100%;
    }
    .review-info .review-info-picture-item.video {
        background-color: var(--color-11);
    }
    .review-info-popup video.review-info-picture {
        margin-top: 48px;
    }
}
@media (max-width: 767px) {
    :root {
        --review-grid-item-row-count: 2;
        --review-info-aside-width: 350px;
        --review-info-popup-height: calc(100vh - 40px);
        --review-info-popup-width: 100%;
        --review-info-picture-height: 337px;
        --review-info-picture-width: 100%;
        --reviews-item-video-icon-size: 24px;
        --slider-nav-arrows-position: calc(50% - 48px);
    }

    .reviews-page .reviews-list.v2 .reviews-item:not(.add-review-btn):nth-child(18n+11),
    .reviews-section .reviews-list.v2 .reviews-item:not(.add-review-btn):nth-child(9n+1) {
        grid-column: span 2;
        grid-row: span 2;
    }
    .reviews-list.v2 .reviews-item.add-review-btn .add-review-btn-inner {
        font-size: 18px;
        line-height: 28px;
    }

    .review-info-popup.popup .popup-close,
    #reviews_form_popup.popup .popup-close {
        top: 10px;
        right: 10px;
    }
    #review-info-slider.review-info-popup {
        top: unset;
        overflow: hidden;
    }
    .review-info-popup .slider-nar-arrows-wrapper {
        position: absolute;
        left: 0;
        right: 0;
        bottom: 0;
        height: 48px;
        background-color: var(--color-3);
        box-shadow: 10px 0 10px 0 #0000001a;
    }
    .review-info-popup .review-info {
        height: calc(100% - 48px);
        border-radius: 0;
    }
    #reviews_form_popup .review-form {
        height: 100%;
        overflow-x: hidden;
        overflow-y: auto;
    }
    #reviews_form_popup .review-form .review-form-inner {
        height: auto;
        padding-bottom: 40px;
    }
    .review-info .review-item-info {
        flex-direction: column;
        gap: 4px;
        padding: 0;
    }
    .review-info .review-info-content {
        height: auto;
        width: 100%;
        max-width: var(--review-info-picture-width);
    }
    .review-info .review-info-content .swiper-pagination {
        bottom: 24px;
    }
    .review-info .review-info-aside {
        padding: 18px 16px;
    }
    #review-info-slider .slider-nav-arrow {
        top: unset;
        bottom: 8px;
        height: 32px;
        width: 32px;
    }
    #review-info-slider .slider-nav-arrow:not(:hover) {
        opacity: 1;
    }
    .review-info .review-info-aside:not(.articul-empty) .review-info-text {
        margin: 14px 0 114px;
    }
    #review-info-slider .slider-nav-arrow.prev {
        left: var(--slider-nav-arrows-position);
        right: unset;
    }
    #review-info-slider .slider-nav-arrow.next {
        left: unset;
        right: var(--slider-nav-arrows-position);
    }
    .review-info .review-info-inner {
        height: inherit;
        width: 100%;
    }
    .review-info .review-info-picture-item {
        width: 100%;
    }

    /*.review-info picture.review-info-picture {*/
    /*    height: 337px;*/
    /*}*/
    .review-info video.review-info-picture {
        height: 508px;
    }
}
@media (max-width: 1023px) and (min-width: 768px) {
    :root {
        --review-grid-item-row-count: 2;
        --review-info-aside-width: 350px;
        --review-info-popup-height: 748px;
        --review-info-popup-width: 516px;
        --review-info-picture-height: auto;
        --review-info-picture-width: 100%;
        --reviews-item-video-icon-size: 40px;
        --slider-nav-arrows-position: 55px;
    }

    .reviews-page .reviews-list.v2 .reviews-item:not(.add-review-btn):nth-child(18n+9),
    .reviews-section .reviews-list.v2 .reviews-item:not(.add-review-btn):nth-child(1) {
        grid-column: span 2;
        grid-row: span 2;
    }

    /*.review-info picture.review-info-picture {*/
    /*    height: 465px;*/
    /*}*/
    .review-info video.review-info-picture {
        height: calc(var(--review-info-popup-height) * 0.9);
    }
}
@media (max-width: 1439px) and (min-width: 1024px) {
    :root {
        --review-grid-item-row-count: 4;
        --review-info-aside-width: 350px;
        --review-info-popup-height: 700px;
        --review-info-popup-width: 1152px;
        --review-info-picture-height: 100%;
        --review-info-picture-width: 776px;
        --reviews-item-video-icon-size: 40px;
        --slider-nav-arrows-position: 58px;
    }

    .reviews-page .reviews-list.v2 .reviews-item:not(.add-review-btn):nth-child(18n+9),
    .reviews-section .reviews-list.v2 .reviews-item:not(.add-review-btn):nth-child(7n+1) {
        grid-column: span 2;
        grid-row: span 2;
    }

    .reviews-section .reviews-list.v2 .reviews-item:not(.add-review-btn):nth-child(5) ~ .reviews-item:not(.add-review-btn) {
        display: none;
    }
}
@media (min-width: 1024px) {
    .review-info-popup {
        /*width: fit-content;*/
    }
    /*.review-info-popup .review-info-main-slider {*/
    /*    width: auto;*/
    /*}*/
    .review-info .review-info-main-slider .review-item-info {
        overflow: hidden;
    }
    .review-info .review-info-aside {
        flex: 0 0 auto;
        height: inherit;
        width: 375px;
    }
    .review-info .review-info-content {
        height: auto;
        width: auto;
        max-height: inherit;
        margin-left: 0;
        margin-right: 0;
    }
    .review-info .review-item-info .review-info-picture-item.review-info-picture-vertical {
        width: auto !important;
    }
    .review-info-popup .review-info-main-slider .reviews-item-likes-count {
        background-color: var(--color-12);
    }
    .review-info-popup video.review-info-picture {
        background-color: transparent;
    }
    .review-info-popup video.review-info-picture:not(.loaded),
    .review-info-popup .review-info-picture img:not(.loaded) {
        width: 375px;
        aspect-ratio: 1;
    }
    .review-info-popup video.review-info-picture,
    .review-info-popup .review-info-picture img {
        height: auto;
        width: auto;
        max-height: var(--review-info-popup-height);
        max-width: 768px;
    }
}
@media (min-width: 1440px) and (max-width: 1920px) {
    :root {
        --review-grid-item-row-count: 5;
        --review-info-aside-width: 350px;
        --review-info-popup-height: 800px;
        --review-info-popup-width: 1265px;
        --review-info-picture-height: 100%;
        --review-info-picture-width: 887px;
        --reviews-item-video-icon-size: 40px;
        --slider-nav-arrows-position: 58px;
    }

    .reviews-page .reviews-list.v2 .reviews-item:not(.add-review-btn):nth-child(18n+11),
    .reviews-section .reviews-list.v2 .reviews-item:not(.add-review-btn):nth-child(7n+1) {
        grid-column: span 2;
        grid-row: span 2;
    }
    .reviews-section .reviews-list.v2 .reviews-item:not(.add-review-btn):nth-child(7) ~ .reviews-item:not(.add-review-btn) {
        display: none;
    }
}
@media (min-width: 1921px) {
    :root {
        --review-grid-item-row-count: 6;
        --review-info-aside-width: 350px;
        --review-info-popup-height: 800px;
        --review-info-popup-width: 1265px;
        --review-info-picture-height: 100%;
        --review-info-picture-width: 887px;
        --reviews-item-video-icon-size: 40px;
        --slider-nav-arrows-position: 58px;
    }

    .reviews-page .reviews-list.v2 .reviews-item:not(.add-review-btn):nth-child(19n+13),
    .reviews-section .reviews-list.v2 .reviews-item:not(.add-review-btn):nth-child(9n+1) {
        grid-column: span 2;
        grid-row: span 2;
    }
}